import { BackendFeature, ServiceFactory } from '@backstage/backend-plugin-api';
import { ServiceOrExtensionPoint } from './types';
export interface BackendRegisterInit {
    consumes: Set<ServiceOrExtensionPoint>;
    provides: Set<ServiceOrExtensionPoint>;
    init: {
        deps: {
            [name: string]: ServiceOrExtensionPoint;
        };
        func: (deps: {
            [name: string]: unknown;
        }) => Promise<void>;
    };
}
export declare class BackendInitializer {
    #private;
    constructor(defaultApiFactories: ServiceFactory[]);
    add(feature: BackendFeature | Promise<BackendFeature>): void;
    start(): Promise<void>;
    stop(): Promise<void>;
}
